<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__htsc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_htsc_char_t</compoundname>
    <includes local="no">cy_ble_hts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__htsc__char__t_1a5704cdf8b2fca2698a83508563eb6163" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_htsc_char_t::descrHandle[CY_BLE_HTS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_HTS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Handle of Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="88" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="88" />
      </memberdef>
      <memberdef id="structcy__stc__ble__htsc__char__t_1a877720677e7c54377999260c0f5423f1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_htsc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Report Characteristic value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="89" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="89" />
      </memberdef>
      <memberdef id="structcy__stc__ble__htsc__char__t_1a58b2c2548b8346ec777129b161c01396" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_htsc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End handle of Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="90" />
      </memberdef>
      <memberdef id="structcy__stc__ble__htsc__char__t_1ad9496476e28995a53fce873e94de22d9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_htsc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="91" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="91" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HTS Characteristic with descriptors. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="92" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hts.h" line="87" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__htsc__char__t_1a5704cdf8b2fca2698a83508563eb6163" virt="non-virtual"><scope>cy_stc_ble_htsc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__htsc__char__t_1a58b2c2548b8346ec777129b161c01396" virt="non-virtual"><scope>cy_stc_ble_htsc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__htsc__char__t_1ad9496476e28995a53fce873e94de22d9" virt="non-virtual"><scope>cy_stc_ble_htsc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__htsc__char__t_1a877720677e7c54377999260c0f5423f1" virt="non-virtual"><scope>cy_stc_ble_htsc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>